Name: nautilus
Version: 1.0.4
Release: 9mdk
Summary: Nautilus is a file manager for the GNOME desktop environment.
Group: File tools
License: GPL
Source0: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/nautilus/nautilus-%{version}.tar.bz2
Source1: nautilus_16.xpm.bz2
Source2: nautilus_32.xpm.bz2
Source3: nautilus_48.xpm.bz2
# (fc) 1.0.4-4mdk use redhat outstanding patch branch
Patch0: nautilus-1.0.4-redhat-outstanding.patch.bz2
# (fc) 1.0-7mdk initialize gmc desktop before importing it
Patch2: nautilus-1.0.4-gmc.patch.bz2
# (fc) 1.0.3-1mdk Eazel is closed :((
Patch3: nautilus-1.0.4-eazelclosed.patch.bz2
# (fc) 1.0.3-2mdk use correct libnspr4 include path
Patch4:	nautilus-1.0.3-libnspr4.patch.bz2
# (fc) 1.0.4-2mdk fix flash at startup (from GNOME CVS)
Patch7: nautilus-1.0.4-noflash.patch.bz2
# (fc) 1.0.4-3mdk compile with Mozilla 0.9.3 (from GNOME CVS)
Patch8: nautilus-1.0.4-moz093.patch.bz2
# (fc) 1.0.4-3mdk add support for ext3, jfs and automount (GNOME CVS + fc)
Patch9: nautilus-1.0.4-fs.patch.bz2
# (fc) 1.0.4-3mdk don't show first time druid
Patch11: nautilus-1.0.4-nodruid.patch.bz2
# (fc) 1.0.4-4mdk merged desktop with system desktop
Patch12: nautilus-1.0.4-dynamic.patch.bz2
# (fc) 1.0.4-4mdk various fixes from GNOME CVS
Patch13: nautilus-1.0.4-cvsfixes.patch.bz2
# (fc) 1.0.4-5mdk fix icons loading for .desktop
Patch14: nautilus-1.0.4-links.patch.bz2
# (fc) 1.0.4-6mdk don't eject automounted cdroms
Patch15: nautilus-1.0.4-automount.patch.bz2
BuildRoot:%{_tmppath}/%{name}-%{version}-root

Requires: liboaf0 >= 0.6.6-1mdk
Requires: bonobo >= 1.0.7
Requires: medusa >= 0.5.1
Requires: GConf >= 1.0
Requires: gnome-vfs >= 1.0.1-5mdk
%ifnarch ia64
Requires: nautilus-mozilla = %{version}-%{release}
%endif
Requires: eel >= 1.0.1
Requires: fam
PreReq: scrollkeeper >= 0.1.4

Provides: gnome-desktop

BuildRequires: w3c-libwww-devel >= 5.2.8
BuildRequires: gnome-libs >= 1.2.11
BuildRequires: libghttp-devel
BuildRequires: audiofile-devel >= 0.1.9
BuildRequires: libbonobo2-devel >= 0.37
BuildRequires: libmedusa0-devel >= 0.5.1
%ifnarch ia64
BuildRequires: mozilla-devel >= 0.8
%endif
BuildRequires: libnspr4-devel
BuildRequires: liboaf-devel >= 0.6.5
BuildRequires: libGConf1-devel
BuildRequires: libgnome-vfs0-devel >= 1.0.1
BuildRequires: libpng-devel >= 1.0.8
BuildRequires: freetype2-devel
BuildRequires: xml-i18n-tools
BuildRequires: control-center-devel >= 1.3
BuildRequires: scrollkeeper >= 0.1.4
BuildRequires: gnome-core-devel
BuildRequires: pam-devel
BuildRequires: libeel0-devel >= 1.0.1
BuildRequires: fam-devel

Obsoletes: nautilus-trilobite

%description
Nautilus is an excellent file manager for the GNOME desktop environment.


%package devel
Summary:        Libraries and include files for developing nautilus components
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}

%description devel
This package provides the necessary development libraries and include 
files to allow you to develop nautilus components.

%package mozilla
Summary:        Nautilus component for use with Mozilla
Group:          Graphical desktop/GNOME
Requires:		%name = %{version}
Requires:		mozilla >= 0.9.4


%description mozilla
This enables the use of embedded Mozilla as a Nautilus component.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .redhatbranch
%patch2 -p1 -b .gmc
%patch3 -p1 -b .closed
%patch4 -p1 -b .nspr4
%patch7 -p1 -b .noflash
%patch8 -p1 -b .moz093
%patch9 -p1 -b .fs
%patch12 -p1 -b .dynamic
%patch13 -p1 -b .cvs
%patch14 -p1 -b .links
%patch15 -p1 -b .autofs

# needed by patch0
autoheader

#needed by patch2 and patch0
automake

#needed by patch4 and patch0
autoconf

# remove eazel logos
rm -rf eazel-logos

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name} --no-desktop" \
needs="x11" section="Applications/File tools" title="Nautilus" \
longtitle="Nautilus - GNOME file manager" icon="%{name}.xpm"
EOF

mkdir -p  $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/nautilus.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/nautilus.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/nautilus.xpm

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/desktop

%{find_lang} %{name}

%post
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{update_menus}

%postun
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%config(noreplace) %{_sysconfdir}/vfs/modules/*
%{_bindir}/nautilus-clean.sh
%{_bindir}/nautilus-restore-settings-to-default.sh
%{_bindir}/gnome-db2html2
%{_bindir}/gnome-info2html2
%{_bindir}/gnome-man2html2
%{_bindir}/hyperbola
%{_bindir}/nautilus
%{_bindir}/nautilus-adapter
%{_bindir}/nautilus-content-loser
%{_bindir}/nautilus-error-dialog
%{_bindir}/nautilus-hardware-view
%{_bindir}/nautilus-history-view
%{_bindir}/nautilus-image-view
%{_bindir}/nautilus-music-view
%{_bindir}/nautilus-news
%{_bindir}/nautilus-notes
%{_bindir}/nautilus-sample-content-view
%{_bindir}/nautilus-sidebar-loser
%{_bindir}/nautilus-text-view
%{_bindir}/nautilus-throbber
%{_bindir}/run-nautilus
%{_menudir}/*
%{_libdir}/libnautilus*.so.*
%{_libdir}/libnautilus-adapter.so
%{_libdir}/libnautilus-tree-view.so
%{_libdir}/vfs/modules/*.so
%{_iconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_datadir}/pixmaps/*
%{_datadir}/nautilus
%{_datadir}/oaf/Nautilus_View_help.oaf
%{_datadir}/oaf/Nautilus_ComponentAdapterFactory_std.oaf
%{_datadir}/oaf/Nautilus_View_content-loser.oaf
%{_datadir}/oaf/Nautilus_View_hardware.oaf
%{_datadir}/oaf/Nautilus_View_history.oaf
%{_datadir}/oaf/Nautilus_View_image.oaf
%{_datadir}/oaf/Nautilus_View_music.oaf
%{_datadir}/oaf/Nautilus_View_news.oaf
%{_datadir}/oaf/Nautilus_View_notes.oaf
%{_datadir}/oaf/Nautilus_View_sample.oaf
%{_datadir}/oaf/Nautilus_View_sidebar-loser.oaf
%{_datadir}/oaf/Nautilus_View_text.oaf
%{_datadir}/oaf/Nautilus_View_tree.oaf
%{_datadir}/oaf/Nautilus_shell.oaf
%{_datadir}/oaf/Nautilus_Control_throbber.oaf
%{_datadir}/omf/nautilus
%{_datadir}/gnome/apps/*/*
%{_datadir}/gnome/help/*
%{_datadir}/gnome/ui/*
%{_datadir}/idl/*
%{_mandir}/man1/*
%dir %{_datadir}/gnome/desktop

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_bindir}/nautilus-config
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/libnautilus.so
%{_libdir}/libnautilus-adapter.so
%{_libdir}/vfs/modules/*.la

%ifnarch ia64
%files mozilla
%defattr(-, root, root)
%{_bindir}/nautilus-mozilla-content-view
%{_datadir}/oaf/Nautilus_View_mozilla.oaf
%endif

%changelog
* Tue Sep 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-9mdk
- Revert patch0 to version from 1.0.4-5mdk, latest version is too unstable
- Update patch14: fix loading of url type desktop files
- Update patch12: moving files to desktop
				  fix create new directory in desktop

* Sat Sep 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-8mdk
- Recompiled against mozilla 0.9.4

* Fri Sep 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-7mdk
- Update patch13 : enhance thumbnail code

* Fri Sep 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-6mdk
- Patch15: don't eject cd automounted
- Update patch13: fix race condition when unmount cdrom
- Update patch12: hack to fix bug when switching desktop location 
- Update patch0 with latest version of redhat branch

* Thu Sep  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-5mdk
- Update patch12 : enable moving icons on desktop
- Patch14: fix icons for .desktops

* Fri Aug 31 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-4mdk
- Update patch 6 (almost included in patch13)
- Patch0: use redhat-outstanding-patch branch
- Patch 9: add support for jfs 
- Regenerate patch 3
- Remove eazel logos (Eazel is down)
- Don't compile Mozilla support on ia64
- Patch12: add support for dynamic mount points
- Patch13: a lot of fixes from CVS

* Wed Jul 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-2mdk
- Patch 7: fix flash at startup problem (Jonathan Blandford)

* Fri Jul  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4
- Remove patch 5 (merged upstream)
- Regenerate patch 2, 3

* Fri Jun 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Build with fam

* Fri Jun  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Recompiled against latest Mozilla

* Tue May 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Patch4 : Use libnspr4 for Mozilla components
- Patch5 : add nautilus to session (from GNOME CVS)

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3
- Remove patch 0, 4, 5 (merged upstream), patch1 (moved to trilobite), patch3 (no longer needed by trilobite)
- Regenerate patch2 (some part are in eel now)
- Patch3 : Now longer provides Eazel services (too bad for Eazel folks ;(

* Thu Apr 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Tue Apr 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-5mdk
- Update patch 2 to correctly create URL links from gmc ones

* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-4mdk
- Correct patch 2 to correctly call gmc scripts

* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-3mdk
- Change menu icon

* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-2mdk
- Add requires on urw-fonts (otherwise Nautilus crashes)

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-1mdk
- Release 1.0.1.1
- Patch5 to prevent scrollkeeper-update to be run at install section

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-6mdk
- Recompiled against latest gcc
- Mozilla-psm is required to work correctly with https site

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-5mdk
- Really fix bug 2948 (html displayed as text)

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Add missing dependency

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Recompiled with -fno-strength-reduce

* Thu Apr  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Add strong dependency on nautilus-mozilla
- Update patch 3 (do not create service icon if services are not installed)

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-7mdk
- Provides gnome-desktop virtual package
- Patch3 to check if services are installed before displaying menu
- Patch2 to initialize gmc desktop before importing it

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-6mdk
- Add medusa in Requires, library dependencies is not enough

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-5mdk
- Add pam-devel in BuildRequires

* Thu Mar 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-4mdk
- Add missing dependency on ammonite and nautilus-mozilla for nautilus-trilobite
- Patch 1 for using rpm4 on Mdk 8

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-3mdk
- Patch 0 to correctly install xml data

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Change dependencies on scrollkeeper

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0
- Remove patch 0 (merged upstream)
- Correct dependencies

* Fri Mar  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-2mdk
- patch 0 to support bzipped info and man pages

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-1mdk
- Release 0.8.2
- Remove patch 0 (merged upstream)

* Mon Feb  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8 (PR3)
- Remove patch 1
- Split main package

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-4mdk
- Re-add dependencies since implicit dependencies are not enough

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-3mdk
- update patch1
- Recompiled with oaf 0.6.2

* Mon Jan  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- Rebuild with latest Bonobo  (update patch 1)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5
- eazel services are not compiled (not yet compatible with rpmlib4)

* Thu Aug 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.0-1mdk
- first rpm (from Geoffrey Lee).


